Topic: [Pro User] Deprecated Angular APIs

Vitor Pavanelli free asked 4 years ago


Hi MDB team, I like very much your product but there is something bothering me. I do see for animations, deprecated APIs being referenced and I also see the old HttpModule being imported and I believe there must be some other places with old references. I am wondering when you are going to start using the new APIs since deprecated ones have low life span and are bound to be removed at some point, might cause performance issues, security vulnerability and so forth. Please, can you take a look at your product and tell me when do you intend to upgrade these old APIs? Thank you very much, Vitor

Damian Gemza staff answered 4 years ago


Dear Vitor, Thanks for reports. We'll do everything to fix this issues in next releases of MDB Angular. Best Regards, Damian

Vitor Pavanelli free commented 4 years ago

Hi Damian, I found this when looking for something else: If you rely on Animations, import the new BrowserAnimationsModule from @angular/platform-browser/animations in your root NgModule. Without this, your code will compile and run, but animations will trigger an error. Imports from @angular/core were deprecated, use imports from the new package import { trigger, state, style, transition, animate } from '@angular/animations';. Hope it helps. Thank you, Vitor

FREE CONSULTATION

Hire our experts to build a dedicated project. We'll analyze your business requirements, for free.

Status

Closed

Specification of the issue

  • User: Free
  • Premium support: No
  • Technology: MDB Angular
  • MDB Version: -
  • Device: -
  • Browser: -
  • OS: -
  • Provided sample code: No
  • Provided link: No
Tags